package com.ozs.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ozs.entity.MsgAlarm;
import com.ozs.entity.MsgWebPush;
import com.ozs.entity.vo.MsgAlarmVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Author : sunhh
 * @create 2023/3/15 14:35
 */
@Mapper
public interface MsgWebPushMapper extends BaseMapper<MsgWebPush> {
    Integer webAlarmNum(@Param("userId") String userId);

    List<MsgAlarm> webAlarm(@Param("userId") String userId);

    List<MsgAlarm> messageMore(MsgAlarmVo msgAlarmVo);

    Map<String, Integer> messageMoreNum(@Param("userId") String userId);

    int updateByPushId(MsgWebPush msgWebPush);

    int readAll(@Param("userId") String userId);

    List<MsgWebPush> getByUserId(@Param("userId") String userId);
}
